package es.uniovi.reflection.patternmining.features;

public class FileFeatures {
	
	public long id;
	public long programId = 0; //information from parent
	public int height = 0;
	public String filePathName;
	public boolean defaultPackage = false;
	public String packageName;

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public long getProgramId() {
		return programId;
	}

	public void setProgramId(long programId) {
		this.programId = programId;
	}

	public int getHeight() {
		return height;
	}

	public void setHeight(int height) {
		this.height = height;
	}

	public String getFilePathName() {
		return filePathName;
	}

	public void setFilePathName(String filePathName) {
		this.filePathName = filePathName;
	}

	public boolean isDefaultPackage() {
		return defaultPackage;
	}

	public void setDefaultPackage(boolean defaultPackage) {
		this.defaultPackage = defaultPackage;
	}

	public String getPackageName() {
		return packageName;
	}

	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}

	@Override
	public String toString() {
		return "FileFeatures [id=" + id + ", programId=" + programId + ", height=" + height + ", filePathName="
				+ filePathName + ", defaultPackage=" + defaultPackage + ", packageName=" + packageName + "]";
	}

}
